Subject: Re: [PATCH] guilt: add git commit level versioning

From: Paul Gortmaker <[email-masked]>
Date: Thu, 09 Oct 2008 12:13:14 -0400

Josef 'Jeff' Sipek wrote:
> On Tue, Oct 07, 2008 at 10:08:42PM -0400, Paul Gortmaker wrote:
>   
>> Shamelessly steal the dynamic versioning goodies from git
>> itself.  Now when you do "guilt --version" you can expect to
>> see things like:
>>
>> 	Guilt version 0.31.2.14.gece1.dirty
>>
>> assuming you've 14 commits since 0.31.2 and also some changes
>> that you've not committed yet.
>>     
>
> Good idea. I've been pondering how to do this a while back, but never got
> around to actually do it.
>
> One comment: Why not keep the default version in guilt? You're running sed
> on it anyway.  This makes releasing identical to what it was before the
> patch:
> 	<edit guilt to reflect new version, commit>
> 	git tag -u abcdef v0.xy
> 	git archive --tar v0.xy | gzip -9 > guilt-0.xy.tar.gz
>
> Additionally, things won't "break" for folks running right out of the git
> repo - I just add the git repo dir to my $PATH.
>   

Sounds reasonable to me.  I'm about to disappear for a 4 day weekend
(Cdn Thanksgiving) so I won't be able to do that until next Tuesday at
the earliest though.

P.

> Josef 'Jeff' Sipek.